Delete a YAML file
Delete a topic, composite topic, or view YAML file from a model. The file must be a YAML file ending in .topic, .composite_topic, or .view.
The following models cannot be edited using this endpoint:
- Schema models
- Models using git follower mode
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Query Parameters
The name of the YAML file to delete. Valid values are:
<topic_name>.topic- Topic file<composite_topic_name>.composite_topic- Composite topic file<view_name>.view- View file
Required if git pull requests are required for the model. The ID of the branch to delete from. To retrieve branch IDs, use the List models endpoint with modelKind=BRANCH.
The mode to use when deleting the YAML file.
combined- Workbook models must use this mode if there is abranchId.extensionstagedmerged- Requires abranchIdon a shared or shared extension model.history
combined, extension, staged, merged, history Required for git-enabled models. Commit message describing the change.

